# Generated by Django 2.2.17 on 2021-03-01 09:13

from django.db import migrations, models
import django.db.models.deletion
import django_jsonfield_backport.models
import sortedm2m.fields


class Migration(migrations.Migration):

    dependencies = [
        ("scaife_viewer_atlas", "0005_attributions"),
    ]

    operations = [
        migrations.CreateModel(
            name="Dictionary",
            fields=[
                (
                    "id",
                    models.AutoField(
                        auto_created=True,
                        primary_key=True,
                        serialize=False,
                        verbose_name="ID",
                    ),
                ),
                ("label", models.CharField(blank=True, max_length=255, null=True)),
                (
                    "data",
                    django_jsonfield_backport.models.JSONField(
                        blank=True, default=dict
                    ),
                ),
                (
                    "urn",
                    models.CharField(
                        help_text="urn:cite2:<site>:dictionaries.atlas_v1",
                        max_length=255,
                        unique=True,
                    ),
                ),
            ],
        ),
        migrations.CreateModel(
            name="DictionaryEntry",
            fields=[
                (
                    "id",
                    models.AutoField(
                        auto_created=True,
                        primary_key=True,
                        serialize=False,
                        verbose_name="ID",
                    ),
                ),
                ("headword", models.CharField(max_length=255)),
                (
                    "headword_normalized",
                    models.CharField(blank=True, max_length=255, null=True),
                ),
                (
                    "data",
                    django_jsonfield_backport.models.JSONField(
                        blank=True, default=dict
                    ),
                ),
                ("idx", models.IntegerField(help_text="0-based index")),
                (
                    "urn",
                    models.CharField(
                        help_text="urn:cite2:<site>:entries.atlas_v1",
                        max_length=255,
                        unique=True,
                    ),
                ),
                (
                    "dictionary",
                    models.ForeignKey(
                        on_delete=django.db.models.deletion.CASCADE,
                        related_name="entries",
                        to="scaife_viewer_atlas.Dictionary",
                    ),
                ),
            ],
        ),
        migrations.CreateModel(
            name="Sense",
            fields=[
                (
                    "id",
                    models.AutoField(
                        auto_created=True,
                        primary_key=True,
                        serialize=False,
                        verbose_name="ID",
                    ),
                ),
                ("path", models.CharField(max_length=255, unique=True)),
                ("depth", models.PositiveIntegerField()),
                ("numchild", models.PositiveIntegerField(default=0)),
                ("label", models.CharField(blank=True, max_length=255, null=True)),
                ("definition", models.CharField(blank=True, max_length=255, null=True)),
                (
                    "idx",
                    models.IntegerField(
                        blank=True, help_text="0-based index", null=True
                    ),
                ),
                (
                    "urn",
                    models.CharField(
                        help_text="urn:cite2:<site>:senses.atlas_v1",
                        max_length=255,
                        unique=True,
                    ),
                ),
                (
                    "entry",
                    models.ForeignKey(
                        on_delete=django.db.models.deletion.CASCADE,
                        related_name="senses",
                        to="scaife_viewer_atlas.DictionaryEntry",
                    ),
                ),
            ],
            options={"abstract": False,},
        ),
        migrations.CreateModel(
            name="Citation",
            fields=[
                (
                    "id",
                    models.AutoField(
                        auto_created=True,
                        primary_key=True,
                        serialize=False,
                        verbose_name="ID",
                    ),
                ),
                ("label", models.CharField(blank=True, max_length=255, null=True)),
                (
                    "idx",
                    models.IntegerField(
                        blank=True, help_text="0-based index", null=True
                    ),
                ),
                (
                    "urn",
                    models.CharField(
                        help_text="urn:cite2:<site>:citations.atlas_v1",
                        max_length=255,
                        unique=True,
                    ),
                ),
                (
                    "data",
                    django_jsonfield_backport.models.JSONField(
                        blank=True, default=dict
                    ),
                ),
                (
                    "sense",
                    models.ForeignKey(
                        on_delete=django.db.models.deletion.CASCADE,
                        related_name="citations",
                        to="scaife_viewer_atlas.Sense",
                    ),
                ),
                (
                    "text_parts",
                    sortedm2m.fields.SortedManyToManyField(
                        help_text=None,
                        related_name="sense_citations",
                        to="scaife_viewer_atlas.Node",
                    ),
                ),
            ],
        ),
    ]
