# Generated by Django 2.2.17 on 2021-07-09 15:40

from django.db import migrations, models
import django_jsonfield_backport.models
import sortedm2m.fields


class Migration(migrations.Migration):

    dependencies = [
        ("scaife_viewer_atlas", "0007_hookset_for_text_annotation_kinds"),
    ]

    operations = [
        migrations.CreateModel(
            name="Metadata",
            fields=[
                (
                    "id",
                    models.AutoField(
                        auto_created=True,
                        primary_key=True,
                        serialize=False,
                        verbose_name="ID",
                    ),
                ),
                (
                    "idx",
                    models.IntegerField(
                        blank=True, help_text="0-based index", null=True
                    ),
                ),
                (
                    "urn",
                    models.CharField(
                        help_text="urn:cite2:<site>:metadata.atlas_v1",
                        max_length=255,
                        unique=True,
                    ),
                ),
                (
                    "collection_urn",
                    models.CharField(
                        help_text="urn:cite2:<site>:metadata_collection.atlas_v1",
                        max_length=255,
                    ),
                ),
                (
                    "datatype",
                    models.CharField(
                        choices=[
                            ("str", "String"),
                            ("int", "Integer"),
                            ("date", "Date"),
                            ("obj", "Object"),
                            ("cite_urn", "CITE URN"),
                        ],
                        default="str",
                        max_length=8,
                    ),
                ),
                ("label", models.CharField(max_length=255)),
                ("value", models.CharField(blank=True, max_length=255, null=True)),
                (
                    "value_obj",
                    django_jsonfield_backport.models.JSONField(
                        blank=True, default=dict
                    ),
                ),
                (
                    "index",
                    models.BooleanField(
                        default=True, help_text="Include in search index"
                    ),
                ),
                (
                    "visibility",
                    models.CharField(
                        choices=[
                            ("all", "all"),
                            ("library", "library"),
                            ("reader", "reader"),
                            ("hidden", "hidden"),
                        ],
                        default="all",
                        max_length=7,
                    ),
                ),
                (
                    "level",
                    models.CharField(
                        choices=[
                            ("text_group", "Text Group"),
                            ("work", "Work"),
                            ("version", "Version"),
                            ("passage", "Passage"),
                        ],
                        default="version",
                        help_text="Human-readable representation of the level of URN(s) to which metadata is attached",
                        max_length=11,
                    ),
                ),
                ("depth", models.PositiveIntegerField()),
                (
                    "cts_relations",
                    sortedm2m.fields.SortedManyToManyField(
                        help_text=None,
                        related_name="metadata_records",
                        to="scaife_viewer_atlas.Node",
                    ),
                ),
            ],
        ),
    ]
